import { LegendBase } from "./LegendBase";
import { IChartItemLegend } from "igniteui-react-core/ES2015/IChartItemLegend";
import { IFastItemColumn$1 } from "igniteui-react-core/ES2015/IFastItemColumn$1";
import { LegendBaseView } from "./LegendBaseView";
import { Type } from "igniteui-react-core/ES2015/type";
import { UIElement } from "igniteui-react-core/ES2015/UIElement";
import { ILegendSeries } from "igniteui-react-core/ES2015/ILegendSeries";
import { List$1 } from "igniteui-react-core/ES2015/List$1";
import { ILegendContext } from "igniteui-react-core/ES2015/ILegendContext";
export declare class ItemLegend extends LegendBase implements IChartItemLegend {
    aj(): LegendBaseView;
    a5(a: LegendBaseView): void;
    a9: ItemLegendView;
    constructor();
    addChildInOrder(a: UIElement, b: ILegendSeries): void;
    protected get_isItemwise(): boolean;
    readonly isItemwise: boolean;
    createItemwiseLegendItems(a: List$1<UIElement>, b: ILegendSeries): void;
    az(a: List$1<UIElement>, b: ILegendSeries): void;
    createLegendItemsInsert(a: List$1<UIElement>, b: ILegendSeries): void;
    bd(a: List$1<UIElement>, b: ILegendSeries): void;
    renderItemwiseContent(a: ILegendSeries): void;
    be(a: ILegendSeries): void;
    bc(a: ILegendSeries): number;
    private bb(a);
    ba: IFastItemColumn$1<number>;
    static $t: Type;
}
export declare class ItemLegendView extends LegendBaseView {
    constructor(a: ItemLegend);
    ah: ItemLegend;
    ad(): void;
    protected get_f(): boolean;
    readonly f: boolean;
    ai(a: ILegendContext): boolean;
    static $t: Type;
}
